Change rows in rule actions: What each rule does when it matches, and whether the caller or the worker does it.
curl --request PATCH \
--url https://app.assetinfinity.ai/api/rule_actions \
--header 'Content-Type: application/json' \
--data '
{
"action_type": "<string>",
"configuration": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_async": true,
"performed_by": "<string>",
"rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_order": 123
}
'import requests
url = "https://app.assetinfinity.ai/api/rule_actions"
payload = {
"action_type": "<string>",
"configuration": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_async": True,
"performed_by": "<string>",
"rule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_order": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
action_type: '<string>',
configuration: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_async: true,
performed_by: '<string>',
rule_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sort_order: 123
})
};
fetch('https://app.assetinfinity.ai/api/rule_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Rules
Change rows in rule actions: What each rule does when it matches, and whether the caller or the worker does it.
What each rule does when it matches, and whether the caller or the worker does it.
PATCH
/
rule_actions
Change rows in rule actions: What each rule does when it matches, and whether the caller or the worker does it.
Headers
Preference
Available options:
return=representation, return=minimal, return=none Query Parameters
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
rule_actions
What each rule does when it matches, and whether the caller or the worker does it.
Response
204
No Content
⌘I

